CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Attributes | List of all members
DynamicLibraryManagerException Class Reference

Exception thrown by DynamicLibraryManager when a failure occurs. More...

`#include <DynamicLibraryManagerException.h>`

Inheritance diagram for DynamicLibraryManagerException:

## Public Types

enum | Cause { loadingFailed =0, symbolNotFound }

## Public Member Functions

| DynamicLibraryManagerException (const std::string &libraryName, const std::string &errorDetail, Cause cause)
| Failed to load the dynamic library or Symbol not found in the dynamic library. More...
| ~DynamicLibraryManagerException () throw ()
Cause | getCause () const
const char * | what () const throw ()

## Private Attributes

std::string | m_message
Cause | m_cause

## Detailed Description

Exception thrown by DynamicLibraryManager when a failure occurs.

Use getCause() to know what function caused the failure.

## Member Enumeration Documentation

enum DynamicLibraryManagerException::Cause

Enumerator
loadingFailed | Failed to load the dynamic library.
symbolNotFound | Symbol not found in the dynamic library.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN DynamicLibraryManagerException::DynamicLibraryManagerException | ( | const std::string & | libraryName,
|  | const std::string & | errorDetail,
|  | Cause | cause
| ) |  |

Failed to load the dynamic library or Symbol not found in the dynamic library.

DynamicLibraryManagerException::~DynamicLibraryManagerException | ( |  | ) |
throw | ( |
| ) |  |

inline

## Member Function Documentation

DynamicLibraryManagerException::Cause DynamicLibraryManagerException::getCause | ( |  | ) | const

const char * DynamicLibraryManagerException::what | ( |  | ) | const
throw | ( |
| ) |  |

## Member Data Documentation

Cause DynamicLibraryManagerException::m_cause

private

std::string DynamicLibraryManagerException::m_message

private

The documentation for this class was generated from the following files:

- DynamicLibraryManagerException.h
- DynamicLibraryManagerException.cpp

| hosts this site. |  | Send comments to: CppUnit Developers